Public endpoints

POST /core/v1/auth/password-resets/confirm

Public endpoints · POST /core/v1/auth/password-resets/confirm

Authentication

Public endpoints. Session/administrative writes are not executed in the public Playground.

Endpoint

curl --request POST 'https://api.oneaster.ai/core/v1/auth/password-resets/confirm' \
  --header 'Content-Type: application/json' \
  --data "$REQUEST_BODY_JSON"

Parameters

—

Request JSON Schema

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "token": {
      "type": "string",
      "pattern": "^[A-Za-z0-9_-]{43}$",
      "writeOnly": true
    },
    "password": {
      "type": "string",
      "minLength": 15,
      "maxLength": 128,
      "writeOnly": true,
      "description": "服务端校验 UTF-8 字节长度。"
    }
  },
  "required": [
    "token",
    "password"
  ]
}

Responses

200

验证一次性恢复证明后更改密码并注销原会话

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": true
        },
        "data": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "updated": {
              "const": true
            }
          },
          "required": [
            "updated"
          ]
        }
      },
      "required": [
        "success",
        "data"
      ]
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}